export interface TelemetryClientOptions {
    endpoint?: string;
    debug?: boolean;
    disabled?: boolean;
}
export declare class TelemetryClient {
    #private;
    constructor({ endpoint, debug, disabled, }?: TelemetryClientOptions);
    load({ endpoint, debug, disabled }?: TelemetryClientOptions): void;
    reset(): void;
    debug(debug?: boolean): boolean;
    screen(name: string, properties?: Properties): void;
    track(event: string, properties?: Properties): void;
    alias(userId: string, previousId?: string): void;
    identify(userId: string, traits?: Traits): void;
}
type Traits = TelemetryRecord;
type Properties = TelemetryRecord;
type TelemetryRecord = Record<string, string | number | boolean | null | undefined>;
export {};
